Bug 987558 - Review Request: geronimo-txmanager - Geronimo Transaction Manager
Review Request: geronimo-txmanager - Geronimo Transaction Manager
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: 857410
Blocks: 998251
  Show dependency treegraph
 
Reported: 2013-07-23 12:17 EDT by gil cattaneo
Modified: 2015-04-21 14:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: geronimo-txmanager-3.1.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-21 14:57:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-07-23 12:17:24 EDT
Spec URL: http://gil.fedorapeople.org/geronimo-txmanager.spec
SRPM URL: http://gil.fedorapeople.org/geronimo-txmanager-3.1.1-1.fc16.src.rpm
Description: Geronimo Transaction Manager
Fedora Account System Username: gil
Comment 1 gil cattaneo 2015-02-16 18:20:56 EST
Spec URL: http://gil.fedorapeople.org/geronimo-txmanager.spec
SRPM URL: http://gil.fedorapeople.org/geronimo-txmanager-3.1.1-1.fc20.src.rpm

Description:
Inbound and outbound connections in Geronimo are managed through the
J2CA connector framework. This covers JDBC, JMS, DataSources,
EIS connectivity, and connection pools. JDBC connectivity is implemented by
wrapping JDBC XADataSource, ConnectionPoolDataSource, DataSource,
or Driver implementations in J2CA connector wrappers.

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=8956011
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-04-13 10:50:38 EDT
Fedora 19 is EOL, so '%if %{?fedora} > 20' conditional could be removed.

I'd suggest adding this to have less directories:
# Use the same directory of the main package for subpackage licence and docs
%global _docdir_fmt %{name}

Everything looks fine. I have one question: is the separate geronimo-txmanager binary package needed? It seems as if it could be folded into geronimo-transaction.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* Apache (v2.0)". Detailed output of licensecheck in
     /var/tmp/987558-geronimo-txmanager/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.

     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in geronimo-
     connector , geronimo-transaction , geronimo-txmanager-javadoc
Not needed.

[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
Could be added.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: geronimo-txmanager-3.1.1-1.fc23.noarch.rpm
          geronimo-connector-3.1.1-1.fc23.noarch.rpm
          geronimo-transaction-3.1.1-1.fc23.noarch.rpm
          geronimo-txmanager-javadoc-3.1.1-1.fc23.noarch.rpm
          geronimo-txmanager-3.1.1-1.fc23.src.rpm
geronimo-txmanager.noarch: W: no-documentation
geronimo-connector.noarch: W: no-documentation
geronimo-transaction.noarch: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
geronimo-transaction (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.geronimo.specs:geronimo-jta_1.1_spec)
    mvn(org.jboss.spec.javax.resource:jboss-connector-api_1.7_spec)

geronimo-connector (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.geronimo.components:geronimo-transaction)
    mvn(org.apache.geronimo.specs:geronimo-validation_1.0_spec)
    mvn(org.jboss.spec.javax.resource:jboss-connector-api_1.7_spec)

geronimo-txmanager (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.geronimo.specs:specs:pom:)

geronimo-txmanager-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
geronimo-transaction:
    geronimo-transaction
    mvn(org.apache.geronimo.components:geronimo-transaction)
    mvn(org.apache.geronimo.components:geronimo-transaction:pom:)
    osgi(org.apache.geronimo.components.geronimo-transaction)

geronimo-connector:
    geronimo-connector
    mvn(org.apache.geronimo.components:geronimo-connector)
    mvn(org.apache.geronimo.components:geronimo-connector:pom:)
    osgi(org.apache.geronimo.components.geronimo-connector)

geronimo-txmanager:
    geronimo-txmanager
    mvn(org.apache.geronimo.components:geronimo-txmanager-parent:pom:)

geronimo-txmanager-javadoc:
    geronimo-txmanager-javadoc



Source checksums
----------------
https://github.com/apache/geronimo-txmanager/archive/geronimo-txmanager-parent-3.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 25b689ee7302cab95340e24fd03317ae2e9c25817064a1ec70fcb0ac03144f95
  CHECKSUM(SHA256) upstream package : 25b689ee7302cab95340e24fd03317ae2e9c25817064a1ec70fcb0ac03144f95


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 987558
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 gil cattaneo 2015-04-13 11:25:28 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> Fedora 19 is EOL, so '%if %{?fedora} > 20' conditional could be removed.
yes, i know this is for Fedora 20 only. After upload the package, i will remove this check

> I'd suggest adding this to have less directories:
> # Use the same directory of the main package for subpackage licence and docs
> %global _docdir_fmt %{name}

this would make it useless 
"License file installed when any subpackage combination is installed."
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Subpackage_Licensing

> Everything looks fine. I have one question: is the separate
> geronimo-txmanager binary package needed? It seems as if it could be folded
> into geronimo-transaction.

i prefer separate each artifacts in its own package.
currently is considered a best practice. ask in the fedora-java irc channel for more info

thanks
Comment 5 Zbigniew Jędrzejewski-Szmek 2015-04-13 12:23:29 EDT
(In reply to gil cattaneo from comment #3)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> > Fedora 19 is EOL, so '%if %{?fedora} > 20' conditional could be removed.
> yes, i know this is for Fedora 20 only. After upload the package, i will
> remove this check
Argh, it's > 20, not >= 20. Please disregard my comment.

> > I'd suggest adding this to have less directories:
> > # Use the same directory of the main package for subpackage licence and docs
> > %global _docdir_fmt %{name}
> 
> this would make it useless 
> "License file installed when any subpackage combination is installed."
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines#Subpackage_Licensing
Those files would be co-owned by multiple binary packages, so the files would still be there when at least one of them is installed. The only difference would be less directories and less duplicated files in the system. Just a suggestion though.

> > Everything looks fine. I have one question: is the separate
> > geronimo-txmanager binary package needed? It seems as if it could be folded
> > into geronimo-transaction.
> 
> i prefer separate each artifacts in its own package.
> currently is considered a best practice. ask in the fedora-java irc channel
> for more info
OK.

Package is APPROVED.
Comment 6 gil cattaneo 2015-04-13 12:31:05 EDT
Thanks!

New Package SCM Request
=======================
Package Name: geronimo-txmanager
Short Description: Geronimo Transaction Manager
Upstream URL: http://geronimo.apache.org/
Owners: gil
Branches: f22
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2015-04-13 15:22:42 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2015-04-13 16:35:51 EDT
geronimo-txmanager-3.1.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/geronimo-txmanager-3.1.1-1.fc22
Comment 9 Fedora Update System 2015-04-21 14:57:57 EDT
geronimo-txmanager-3.1.1-1.fc22 has been pushed to the Fedora 22 stable repository.

Note You need to log in before you can comment on or make changes to this bug.